# Class VerifierConstraintViolatedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.bcel.verifier.exc.VerifierConstraintViolatedException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `LoadingException, VerificationException`

public abstract class VerifierConstraintViolatedException extends RuntimeException
Instances of this class are thrown by BCEL's class file verifier "JustIce" whenever verification proves that some constraint of a class file (as stated in the Java Virtual Machine Specification, Edition 2) is violated. This is roughly equivalent to the VerifyError the JVM-internal verifiers throw.

See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `extendMessage(String pre, String post)`
  Extends the error message with a string before ("pre") and after ("post") the 'old' error message.
  `String`
  `getMessage()`
  Returns the error message string of this VerifierConstraintViolatedException object.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### extendMessage

    public void extendMessage(String pre, String post)
    Extends the error message with a string before ("pre") and after ("post") the 'old' error message. All of these three strings are allowed to be null, and null is always replaced by the empty string (""). In particular, after invoking this method, the error message of this object can no longer be null.

  - ### getMessage

    public String getMessage()
    Returns the error message string of this VerifierConstraintViolatedException object.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      the error message string of this VerifierConstraintViolatedException.